/* Обнуление */
* {
    padding: 0;
    margin: 0;
    border: 0;
}

*,
*:before,
*:after {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

:focus,
:active {
    outline: none;
}

a:focus,
a:active {
    outline: none;
}

nav,
footer,
header,
aside {
    display: block;
}

html,
body {
    height: 100%;
    width: 100%;
    font-size: 100%;
    line-height: 1;
    font-size: 14px;
    -ms-text-size-adjust: 100%;
    -moz-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
}

input,
button,
textarea {
font-family: inherit;
}

input::-ms-clear {
display: none;
}

button {
    cursor: pointer;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -webkit-tap-highlight-color: transparent;
}

button::-moz-focus-inner {
    padding: 0;
    border: 0;
}

a,
a:visited {
    text-decoration: none;
    color: inherit;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -webkit-tap-highlight-color: transparent;
}

a:hover {
    text-decoration: none;
}

ul li {
    list-style: none;
}

img {
    vertical-align: top;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-size: inherit;
    font-weight: 400;
}

body {
    font-family: "Roboto", sans-serif;
    font-size: 16px;
}

h1 {
    font-family: 'Roboto';
    font-weight: 700;
}

@font-face {
	font-family: 'Roboto';
	src: url('fonts/Roboto-Regular.eot');
	src: local('☺'), url('fonts/Roboto-Regular.woff') format('woff'), url('fonts/Roboto-Regular.ttf') format('truetype'), url('fonts/Roboto-Regular.svg') format('svg');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'Roboto';
	src: url('fonts/Roboto-Bold.eot');
	src: local('☺'), url('fonts/Roboto-Bold.woff') format('woff'), url('fonts/Roboto-Bold.ttf') format('truetype'), url('fonts/Roboto-Bold.svg') format('svg');
	font-weight: 700;
	font-style: normal;
}

.container {
    max-width: 1230px;
    padding: 0 15px;
    margin: 0 auto;
}

.title {
    margin-bottom: 30px;
    font-size: 36px;
    font-weight: 700;
    line-height: 1.2;
    text-align: center;
}

.title span {
    color: #0038d1;
}

/* header */
.header {
    padding-top: 20px;
    padding-bottom: 20px;
}
.header__inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header__link {
    font-size: 18px;
    display: block;
    transition: color 0.3s linear;
}

.header__link:hover {
    color: #0038d1;
}
/* logo */
.logo__img {
    height: 50px;
}
.logo__title {
    font-size: 30px;
    font-weight: 700;
    color: #0038d1;
}
.logo__text {
    font-size: 12px;
}

/* nav */
.nav__list {
    display: flex;
    justify-content: space-between;
}

.nav__item:not(:last-child) {
    margin-right: 15px;
}

.nav__link {
    transition: color 0.3s linear;
}

.nav__link:hover {
    color: #0038d1;
}

/* hero */
.hero {
    background-image: linear-gradient(to left bottom, #0038d1, #4383d6);
    padding-top: 30px;
    padding-bottom: 30px;
    margin-bottom: 50px;
}

.hero__inner {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}

.hero__img {
    width: 500px;
}

.hero__title {
    font-size: 40px;
    font-weight: 700;
    margin-bottom: 20px;
}

.hero__text {
    font-size: 26px;
    margin-bottom: 20px;
}

.hero__link {
    display: block;
    max-width: 200px;
    padding: 15px 20px;
    text-align: center;
    background-color: #ffff;
    border-radius: 10px;
    color: #0038d1;
    transition: transform 0.3s ease-in-out;
} 
.hero__link:hover {
    transform: translateY(10px);
}

/* about */
.about {
    margin-bottom: 50px;
}

.about__inner {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}

.about__title {
    font-size: 30px;
    font-weight: 700;
    margin-bottom: 15px;
}

.about__text {
   max-width: 600px;
   font-size: 18px;
   line-height: 1.2;
}
.about__text span {
    color: #0038d1;
}

.about__link {
    display: block;
    max-width: 110px;
    margin-bottom: 8px;
    font-size: 18px;
    color: #0038d1;
    border-bottom: 2px solid transparent;
    transition: border-bottom .2s linear;
}

.about__link:hover {
    border-bottom: 2px solid #0038d1;
}

/* pick-us */
.pick-us {
    margin-bottom: 50px;
}

.pick-us__list {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}

.pick-us__item {
    padding: 20px;
    width: 250px;
    box-shadow: 0px 10px 20px 0px rgb(182 184 222 / 40%);
    border-radius: 10px;
    margin-bottom: 15px;
}

.pick-us__text {
    font-size: 16px;
}

.pick-us__img {
    width: 15px;
    height: 15px;
    margin-bottom: 10px;
}

/* problems */
.problems {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 50px;
}

.problems__item {
    position: relative;
    font-size: 16px;
    margin: 0 auto;
    padding-left: 40px;
    margin-bottom: 15px;
    max-width: 800px;
}
.problems__item::before {
    content: '';
    display: block;
    width: 20px;
    height: 1px;
    background-color: #0038d1;
    position: absolute;
    top: 50%;
    left: 0;
}

.problems__title {
    font-weight: 700;
    color:#0038d1;
    margin-bottom: 5px;
}

.problems__text {
    font-size: 14px;
    line-height: 1.5;
}

/* work */
.work {
    margin-bottom: 50px;
}

.work__list {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}

.work__item {
    width: 25%;
    min-height: 80px;
}

.work__title {
    font-size: 20px;
    font-weight: 700;
    margin-bottom: 15px;
    color: #0038d1;
}

.work__text {
    font-size: 16px;
    max-width: 300px;
    color:#727185;
}

/* contacts */
.contacts {
    padding: 30px 0;
    border-radius: 30px;
    background-image: linear-gradient(to left bottom, #0038d1, #4383d6);
}

.contacts__inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.contacts__title {
    margin-bottom: 30px;
    font-size: 36px;
    font-weight: 700;
    line-height: 1.2;
}

.contacts__descr {
    font-size: 18px;
    margin-bottom: 10px;
}

.contacts__text {
    font-size: 18px;
    line-height: 1.2;
    max-width: 500px;
    color: #000;
}

.contacts__link {
    display: block;
    max-width: 150px;
    font-size: 18px;
    color: #ffff;
    border-bottom: 3px solid transparent;
    transition: border-bottom 0.3s ease-in-out;
}

.contacts__link:hover {
    border-color: #ffff;
}

/* footer */
.footer__inner {
    display: flex;
    justify-content: center;
}

.footer__rights {
    font-size: 12px;
    text-align: center;
}
/* media-querry */
@media screen and (max-width: 1060px) {
    .hero__left, 
    .hero__right {
        width: 100%;
        text-align: center;
    }
    .hero__link {
        margin: 0 auto;
    }
    .hero__img {
        margin-top: 20px;
        width: 300px;
    }
    .hero__title {
        font-size: 30px;
    }
    .hero__text {
        font-size: 20px;
    }

    .pick-us__item {
        width: 45%;
    }

    .work__item {
        width: 35%;
        margin: 0 auto;
        margin-bottom: 10px;
    }

    .contacts__inner {
        flex-direction: column;
    }
    .contacts__title {
        text-align: center;
    }
    .contacts__left {
        max-width: 500px;
        margin-bottom: 30px;
    }
}

@media screen and (max-width: 920px) {
    .about__left {
        margin-bottom: 20px;
    }
}

@media screen and (max-width: 700px) {
    .title {
        font-size: 30px;
    }
    .hero__title {
        font-size: 30px;
    }
    .hero__text {
        font-size: 20px;
    }
    .hero__img {
        width: 300px;
    }
    .about__title {
        font-size: 24px;
    }
}

@media screen and (max-width: 600px) {
    .pick-us__item {
        width: 80%;
        margin: 0 auto;
    }

    .work__item {
        width: 70%;
        margin: 0 auto;
    }
    .work__title {
        text-align: center;
    }
    .work__text {
        margin: 0 auto;
    }
}